import java.util.Scanner;

class Main {

    // graph holds the distance between every pair of vertices
    private int[][] graph;

    public Main(int n) {
        this.graph = new int[n][n];
        initGraph();
    }

    // graph initialization.
    // the distance between every pair of nodes is
    // initialized to 100000 (arbitrary large enough value).
    // for i==j it is initialized to 0.
    private void initGraph() {
        for (int i = 0; i < graph.length; i++) {
            for (int j = 0; j < graph.length; j++) {
                if (i == j) {
                    graph[i][j] = 0;
                } else {
                    graph[i][j] = 100000;
                }
            }
        }
    }

    // utility function to add edges to the adjacencyList
    public void addEdge(int from, int to) {
        //sinlge edge has distance 1
        graph[from][to] = 1;
    }

    //your implementation goes in this function
    public void floydWarshall() {

    }

    public static void main(String[] args) {
        int n; //number of nodes
        Scanner sc = new Scanner(System.in);
        n = sc.nextInt();

        Main fw = new Main(n);

        int m; //number of edges of each node
        int ignore; //an integer variable in which we store the input values
                    //that we ignore for this exercise
        for (int i=0; i < n; i++) {
            ignore = sc.nextInt();
            m = sc.nextInt();
            ignore = sc.nextInt();
            //name is also ignored. It was used to find the names that
            //made it to the top 5.
            String name = sc.nextLine();

            for (int j=0; j<m; j++) {
                int edgeto = sc.nextInt();
                //the -1 is because indices in the input file start from 1
                fw.addEdge(i,edgeto-1);
            }
        }

        fw.floydWarshall();
    }
}
